<?php

namespace Drupal\Tests\ui_patterns_field_formatters\Kernel;

use Drupal\Component\Plugin\PluginBase;
use Drupal\Tests\ui_patterns\Kernel\EntityTestBase;

/**
 * Defines a base class for node access kernel tests.
 */
abstract class UIPatternsFieldFormattersTestBase extends EntityTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = [];


  /**
   * Plugin id suffixes.
   *
   * @var array<string, string>
   */
  protected $pluginIdSuffixesBySourceId = [];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    self::$modules = array_merge(parent::$modules, ['ui_patterns_field_formatters']);
    parent::setUp();
    $this->pluginIdSuffixesBySourceId = [];
    foreach ($this->entityTypes as $oneEntityType) {
      $bundle = $oneEntityType->id();
      $entity_type_id = $oneEntityType->getEntityType()->getBundleOf();
      $this->pluginIdSuffixesBySourceId["field_formatter"] = $entity_type_id . PluginBase::DERIVATIVE_SEPARATOR .
        $bundle;

      $this->pluginIdSuffixesBySourceId["field_property"] = $entity_type_id .
        PluginBase::DERIVATIVE_SEPARATOR;
    }
  }

}
