<?php

namespace Drupal\ui_patterns\Element;

use Drupal\Core\Render\Element\Operations;
use Drupal\Core\Render\Element\RenderElementBase;

/**
 * {@inheritdoc}
 *
 * @RenderElement("ui_patterns_operations")
 */
class UiPatternsOperations extends Operations {

  /**
   * {@inheritdoc}
   */
  public function getInfo() {
    return ['#theme' => 'links__dropbutton__operations__ui_patterns'] + parent::getInfo();
  }

  /**
   * {@inheritdoc}
   */
  public static function preRenderDropbutton($element) : array {
    $element = parent::preRenderDropbutton($element);

    // Attach #ajax events if title is a render array.
    foreach ($element['#links'] as &$link) {
      if (isset($link['title']['#ajax'])) {
        $link['title'] = RenderElementBase::preRenderAjaxForm($link['title']);
      }
    }

    return $element;
  }

}
