<?php

declare(strict_types=1);

namespace Drupal\Tests\ui_patterns\Kernel\Source;

use Drupal\Tests\ui_patterns\Kernel\SourcePluginsTestBase;

/**
 * Test SelectWidget.
 *
 * @group ui_patterns
 */
class SelectWidgetTest extends SourcePluginsTestBase {

  /**
   * Test UI Patterns source core plugins.
   */
  public function testPlugin(): void {
    $testData = self::loadTestDataFixture(__DIR__ . "/../../fixtures/TestDataSet.yml");
    $testSets = $testData->getTestSets();
    foreach ($testSets as $test_set_name => $test_set) {
      if (!str_starts_with($test_set_name, 'select_')) {
        continue;
      }
      $this->runSourcePluginTest($test_set);
    }
  }

}
